Skip site navigation (1) Skip section navigation (2)

Trouble with 7.1.2 JDBC driver

From: Nelson Ferreira Jr <root(at)radix(dot)com(dot)br>
To: pgsql-interfaces(at)postgresql(dot)org
Subject: Trouble with 7.1.2 JDBC driver
Date: 2001-06-13 21:52:04
Message-ID: Pine.LNX.4.21.0106131835170.7193-100000@localhost.localdomain (view raw or flat)
Thread:
Lists: pgsql-interfaces
   Hi,

   I have some troubles with Postgre's JDBC driver, version 7.1.2.
First, I was not able to build the driver because it always tries to
compile the version for the Enterprise Edition Java Virtual Machines,
although I only have a Standard Edition instaled in my computer (a Red Hat
7.0 linux box).
   I could only compile it when I manually edited the  build.xml file, so
it right guessed the version of my Java VM.
   I thought I was done when the driver worked for the first time, but
sometime later I realized that the BLOBs I've imported from a Postgres
7.0.3 (using a java program and LargeObjectManager API) were all corrupt!
All BLOBs have only 19 bytes!
   I tested it with a  servlet  that runs fine with 7.0.3, and it just
thrown a NullPointerException somewhere (I couldn't check where exactly it
happens yet). After, I put the servlet to run with the old 7.0 JDBC
driver, but connectiong with postgres 7.1.2, and it worked fine
(ooops... not so fine, the BLOBs were all corrupt!)
   Is there any trouble with the JDBC driver that comes with 7.1.2 ?  Or
maybe something got wrong when I edited build.xml ?


                                          Any Ideas ?


pgsql-interfaces by date

Next:From: David WallDate: 2001-06-13 22:55:21
Subject: Re: Vacuum analyze in 7.1.1
Previous:From: Tom LaneDate: 2001-06-13 21:33:25
Subject: Re: Vacuum analyze in 7.1.1

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group